{"info":{"_postman_id":"1b8d0b2e-0813-42f8-8ceb-4d4cca20717c","name":"Recovr Public API","description":"<html><head></head><body><p>This documentation is in a BETA state. We anticipate having blindspots and missing use-cases.</p>\n<p>That being said, what you see is what you should get.</p>\n<p>If you see some important information missing, do not hesitate to contact our technical team, through our team lead: <a href=\"mailto:pablo@recovr.eu\">pablo@recovr.eu</a></p>\n<h1 id=\"overview\">Overview</h1>\n<p>Our API has been built with REST principles and conventions in mind. A set of HTTP codes are used to make your developer's life as easy as possible.</p>\n<h1 id=\"endpoints\">Endpoints</h1>\n<p>The URL is formed as such:</p>\n<ul>\n<li><p><code>https</code> only</p>\n</li>\n<li><p><code>backend.{host}</code></p>\n<ul>\n<li><code>{host}</code> is either <code>staging.recovr.eu</code> for Staging environment or <code>recovr.eu</code> for the Production environment</li>\n</ul>\n</li>\n<li><p><code>/api/{v1/v2}/routes</code></p>\n<ul>\n<li>The given paths. They are mentioned throughout this documentation.</li>\n</ul>\n</li>\n</ul>\n<p>As a result, you can expect having an URL like this for a staging request: <code>https://backend.staging.recovr.eu/api/v1/invoices</code>.</p>\n<h1 id=\"headers\">Headers</h1>\n<p>The authentication is a token-based one. Upon your account creation, we'll give you 2: <code>client_id</code> and <code>secret_id</code>.</p>\n<p>To authenticate your request, you need to pass these in the headers of <strong>every request,</strong> with these key/values pairs:</p>\n<ul>\n<li><p><code>secret_id</code>: your_secret_id</p>\n</li>\n<li><p><code>client_id</code>: your_client_id</p>\n</li>\n</ul>\n<p>To these Headers, you must add the client, <code>tenant</code>, for which you're performing such request.</p>\n<ul>\n<li><code>tenant</code>: <code>subdomain-of-your-client</code></li>\n</ul>\n<h1 id=\"pagination\">Pagination</h1>\n<p>Index endpoints have a pagination system. Resources are returned in pages of 20.</p>\n<p>By default, you get the first page. To get the subsequent pages, add the <code>page={page_number}</code> argument to paginate. Thanks to the metadata returned alongside every index request, you can figure out if you're supposed to paginate. It looks like this:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-ruby\">    \"metadata\": {\n        \"total\": 1,\n        \"pagination\": {\n            \"total_objects\": 1,\n            \"page_limit\": 20,\n            \"current_page\": 1,\n            \"last_page\": 1\n        }\n    }\n\n</code></pre>\n<h1 id=\"error-codes\">Error Codes</h1>\n<p>What errors and status codes can a user expect? Here is a list of examples :</p>\n<div class=\"click-to-expand-wrapper is-table-wrapper\"><table>\n<thead>\n<tr>\n<th>HTTP Code</th>\n<th>HTTP Reason</th>\n<th>Extra information</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td><strong>401</strong></td>\n<td>Unauthorized</td>\n<td>This user is not authorized</td>\n</tr>\n<tr>\n<td><strong>403</strong></td>\n<td>Forbidden</td>\n<td>This user has no access to this endpoint</td>\n</tr>\n<tr>\n<td><strong>429</strong></td>\n<td>Too many requests</td>\n<td>The limit of requests per minute has been exceeded</td>\n</tr>\n<tr>\n<td><strong>500</strong></td>\n<td>Internal Server Error</td>\n<td>Something unexpected happened</td>\n</tr>\n<tr>\n<td><strong>501</strong></td>\n<td>Maintenance</td>\n<td>The server is under maintenance</td>\n</tr>\n</tbody>\n</table>\n</div><h1 id=\"get-a-resource-with-your-external-id\">Get a resource with your external ID</h1>\n<p>On the endpoint listed below, you are able to get the details of the resource by sending your external ID instead of ours, coupled to the boolean param <code>with_external_id</code> set to <code>true</code></p>\n<ul>\n<li><p>Show debtor</p>\n</li>\n<li><p>Show invoice</p>\n</li>\n<li><p>Show credit note</p>\n</li>\n</ul>\n<h1 id=\"lexicon\">Lexicon</h1>\n<p>A list of terms that should be listed to avoid misunderstandings (debtor/creditor/etc)</p>\n<ul>\n<li><p><em>Company</em> : is a company that is the Recovr's client</p>\n</li>\n<li><p><em>Tenant</em> : is the personnal subdomain for a company using Recovr</p>\n</li>\n<li><p><em>Debtor</em> : a person or company that owes money</p>\n</li>\n<li><p><em>Creditor</em> : a person or company to whom money is owing</p>\n</li>\n</ul>\n</body></html>","schema":"https://schema.getpostman.com/json/collection/v2.0.0/collection.json","toc":[{"content":"Overview","slug":"overview"},{"content":"Endpoints","slug":"endpoints"},{"content":"Headers","slug":"headers"},{"content":"Pagination","slug":"pagination"},{"content":"Error Codes","slug":"error-codes"},{"content":"Get a resource with your external ID","slug":"get-a-resource-with-your-external-id"},{"content":"Lexicon","slug":"lexicon"}],"owner":"5144383","collectionId":"1b8d0b2e-0813-42f8-8ceb-4d4cca20717c","publishedId":"T1Dwda1K","public":true,"customColor":{"top-bar":"FFFFFF","right-sidebar":"303030","highlight":"25c1a4"},"publishDate":"2023-02-21T12:32:56.000Z"},"item":[{"name":"V1","item":[{"name":"Connector","item":[{"name":"Credentials","item":[{"name":"Check credentials","id":"bb6a5cdb-8aca-49e1-b88a-0a429bc224b7","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":"backend.{{host}}/api/v1/credentials","description":"<p>Validate API credentials for a connector. Use this endpoint to verify that your <code>client-id</code> and <code>secret-id</code> are correctly configured before making other API calls.</p>\n<h3 id=\"success-response\">Success Response</h3>\n<p>Returns an empty object <code>{}</code> when credentials are valid.</p>\n<h3 id=\"error-responses\">Error Responses</h3>\n<ul>\n<li><p><strong>400 Bad Request</strong>: Invalid credentials</p>\n</li>\n<li><p><strong>403 Forbidden</strong>: Wrong connector for company, or missing CONNECTOR-ID header</p>\n</li>\n</ul>\n","urlObject":{"path":["api","v1","credentials"],"host":["backend","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"050a3c8c-730a-4c0f-bb7d-657438484379","name":"Check credentials - Sucessfully checked credentials","originalRequest":{"method":"POST","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":"backend.{{host}}/api/v1/credentials"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"44136fa355b3678a1146ad16f7e8649e\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"84f1f51d-b7b4-48da-8c68-51c3ca815162"},{"key":"X-Runtime","value":"1.736495"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{}"},{"id":"a97bd888-0cdc-45d7-9f77-5bbcf52f2955","name":"Check credentials with wrong connector token","originalRequest":{"method":"POST","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":"backend.{{host}}/api/v1/credentials"},"status":"Bad Request","code":400,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"Cache-Control","value":"no-cache"},{"key":"X-Request-Id","value":"a60183aa-e80b-4204-99c9-7fff3dace37f"},{"key":"X-Runtime","value":"2.770062"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"error_message\": \"Le token du connecteur est pas reconnu\"\n}"}],"_postman_id":"bb6a5cdb-8aca-49e1-b88a-0a429bc224b7"}],"id":"34fc776d-cb41-45cf-9a37-a359f27d47ed","_postman_id":"34fc776d-cb41-45cf-9a37-a359f27d47ed","description":""},{"name":"Accounting","item":[{"name":"Payments","item":[{"name":"Payment","id":"2f59fc8e-1f23-439b-86c7-b4e3a14b0472","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":"backend.{{host}}/api/v1/accounting/payments/:id?external_id=false","description":"<p><strong>Purpose</strong>: Retrieve a specific accounting payment by ID or external ID</p>\n<p><strong>Path Parameters</strong>:</p>\n<ul>\n<li><code>id</code>: Payment ID (integer) or external_id (string) when using <code>?external_id=true</code></li>\n</ul>\n<p><strong>Response Format</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"data\": {\n    \"id\": \"string\",\n    \"type\": \"accounting_payment\",\n    \"attributes\": {\n      \"amount\": \"decimal\",\n      \"remaining_balance\": \"decimal\", \n      \"external_id\": \"string\",\n      \"debtor_id\": \"integer\",\n      \"received_at\": \"datetime\",\n      \"currency\": \"string\",\n      \"linked_invoices_ids\": [\"integer\"],\n      \"debtor_external_id\": \"string\",\n      \"localized_money_object\": {\n        \"currency\": \"string\",\n        \"amount\": \"decimal\",\n        \"remaining_balance\": \"decimal\"\n      }\n    }\n  }\n}\n\n</code></pre>\n<p><strong>Error Scenarios</strong>:</p>\n<ul>\n<li><p>401: Authentication required</p>\n</li>\n<li><p>403: Insufficient permissions</p>\n</li>\n<li><p>404: Payment not found</p>\n</li>\n</ul>\n<p><strong>Business Logic Notes</strong>:</p>\n<ul>\n<li><p>Supports lookup by both internal ID and external_id</p>\n</li>\n<li><p>Uses <code>external_id</code> parameter to determine lookup method</p>\n</li>\n</ul>\n","urlObject":{"path":["api","v1","accounting","payments",":id"],"host":["backend","{{host}}"],"query":[{"key":"external_id","value":"false"}],"variable":[{"description":{"content":"<p>can be either recover's id or external_id depending on <code>external_id</code> param</p>\n","type":"text/plain"},"type":"any","value":"1","key":"id"}]}},"response":[{"id":"adfea350-d65b-4c31-a263-661a74704903","name":"with recovr id","originalRequest":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-it","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":{"raw":"backend.{{host}}/api/v1/accounting/payments/:id","host":["backend","{{host}}"],"path":["api","v1","accounting","payments",":id"],"variable":[{"key":"id","value":"1"}]}},"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"1\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"52.36\",\n            \"remaining_balance\": \"0.0\",\n            \"external_id\": \"XVPDR\",\n            \"debtor_id\": 1,\n            \"received_at\": \"2025-10-13T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"connector_last_updated_at\": null,\n            \"connector_last_synced_at\": null,\n            \"linked_invoices_ids\": [\n                10\n            ],\n            \"debtor_external_id\": null,\n            \"localized_money_object\": {\n                \"currency\": \"EUR\",\n                \"amount\": \"52.36\",\n                \"remaining_balance\": \"0.0\"\n            }\n        }\n    }\n}"},{"id":"84e94d76-9c7e-482d-9c57-f50584b4218a","name":"with external id","originalRequest":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":{"raw":"backend.{{host}}/api/v1/accounting/payments/:id?external_id=true","host":["backend","{{host}}"],"path":["api","v1","accounting","payments",":id"],"query":[{"key":"external_id","value":"true","type":"text"}],"variable":[{"key":"id","value":"1"}]}},"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"1\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"52.36\",\n            \"remaining_balance\": \"0.0\",\n            \"external_id\": \"XVPDR\",\n            \"debtor_id\": 1,\n            \"received_at\": \"2025-10-13T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"connector_last_updated_at\": null,\n            \"connector_last_synced_at\": null,\n            \"linked_invoices_ids\": [\n                10\n            ],\n            \"debtor_external_id\": null,\n            \"localized_money_object\": {\n                \"currency\": \"EUR\",\n                \"amount\": \"52.36\",\n                \"remaining_balance\": \"0.0\"\n            }\n        }\n    }\n}"}],"_postman_id":"2f59fc8e-1f23-439b-86c7-b4e3a14b0472"},{"name":"Remaining Payments","id":"9b7f44bf-1647-455f-ba10-d04c5171e0b2","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":"backend.{{host}}/api/v1/accounting/payments/open_payments?all_payments=true","description":"<p><strong>Purpose</strong>: Retrieve a list of accounting payments, with optional filtering</p>\n<p><strong>Query Parameters</strong>:</p>\n<ul>\n<li><code>all_payments</code> (boolean): If true, returns all payments; if false/omitted, returns only payments with non-zero remaining balance</li>\n</ul>\n<p><strong>Response Format</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"data\": [\n    {\n      \"id\": \"string\",\n      \"type\": \"accounting_payment\", \n      \"attributes\": {\n        \"amount\": \"decimal\",\n        \"remaining_balance\": \"decimal\",\n        \"external_id\": \"string\",\n        \"debtor_id\": \"integer\",\n        \"received_at\": \"datetime\",\n        \"currency\": \"string\",\n        \"linked_invoices_ids\": [\"integer\"],\n        \"debtor_external_id\": \"string\",\n        \"localized_money_object\": {\n          \"currency\": \"string\",\n          \"amount\": \"decimal\",\n          \"remaining_balance\": \"decimal\"\n        }\n      }\n    }\n  ]\n}\n\n</code></pre>\n<p><strong>Error Scenarios</strong>:</p>\n<ul>\n<li><p>401: Authentication required</p>\n</li>\n<li><p>403: Insufficient permissions</p>\n</li>\n</ul>\n<p><strong>Business Logic Notes</strong>:</p>\n<ul>\n<li><p>Default behavior filters to payments with <code>remaining_balance != 0</code></p>\n</li>\n<li><p>Use <code>all_payments=true</code> to retrieve all payments regardless of balance</p>\n</li>\n</ul>\n","urlObject":{"path":["api","v1","accounting","payments","open_payments"],"host":["backend","{{host}}"],"query":[{"description":{"content":"<p>If you want to receive all payments and not only open ones</p>\n","type":"text/plain"},"key":"all_payments","value":"true"}],"variable":[]}},"response":[{"id":"ccc622d7-c53c-4456-9b1d-279e7db02363","name":"remaining payments","originalRequest":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"url":"backend.{{host}}/api/v1/accounting/payments/open_payments"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"41d69a5f676a4e947f31868affa1639e\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"836a98a5-2643-409c-8247-badd3410ac0f"},{"key":"X-Runtime","value":"0.149718"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": [\n        {\n            \"id\": \"1\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"100.0\",\n                \"remaining_balance\": \"100.0\",\n                \"external_id\": \"your_external_id_2\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2022-09-15T00:00:00.000Z\",\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": \"my_custom_id\",\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"100.0\",\n                    \"remaining_balance\": \"100.0\"\n                }\n            }\n        },\n        {\n            \"id\": \"2\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"100.0\",\n                \"remaining_balance\": \"100.0\",\n                \"external_id\": \"your_external_id\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2022-09-15T00:00:00.000Z\",\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": \"my_custom_id\",\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"100.0\",\n                    \"remaining_balance\": \"100.0\"\n                }\n            }\n        }\n    ]\n}"},{"id":"edfc8820-cf4d-4951-9a5f-b1729308edf4","name":"all payments","originalRequest":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":{"raw":"backend.{{host}}/api/v1/accounting/payments/open_payments?all_payments=true","host":["backend","{{host}}"],"path":["api","v1","accounting","payments","open_payments"],"query":[{"key":"all_payments","value":"true"},{"key":"tenan","value":"","type":"text","disabled":true}]}},"_postman_previewlanguage":"json","header":[{"key":"Content-Type","value":"application/json","description":"","type":"text"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": [\n        {\n            \"id\": \"1\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"52.36\",\n                \"remaining_balance\": \"0.0\",\n                \"external_id\": \"XVPDR\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-10-13T00:00:00.000Z\",\n                \"currency\": \"EUR\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [\n                    10\n                ],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"52.36\",\n                    \"remaining_balance\": \"0.0\"\n                }\n            }\n        },\n        {\n            \"id\": \"2\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"250.0\",\n                \"remaining_balance\": \"250.0\",\n                \"external_id\": \"GPVJD\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-09-08T00:00:00.000Z\",\n                \"currency\": \"EUR\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"250.0\",\n                    \"remaining_balance\": \"250.0\"\n                }\n            }\n        },\n        {\n            \"id\": \"3\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"350.0\",\n                \"remaining_balance\": \"350.0\",\n                \"external_id\": \"SRAYX\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-09-08T00:00:00.000Z\",\n                \"currency\": \"EUR\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"350.0\",\n                    \"remaining_balance\": \"350.0\"\n                }\n            }\n        },\n        {\n            \"id\": \"4\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"150.0\",\n                \"remaining_balance\": \"150.0\",\n                \"external_id\": \"7UVV5\",\n                \"debtor_id\": 2,\n                \"received_at\": \"2025-11-10T00:00:00.000Z\",\n                \"currency\": \"EUR\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"150.0\",\n                    \"remaining_balance\": \"150.0\"\n                }\n            }\n        },\n        {\n            \"id\": \"5\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"250.0\",\n                \"remaining_balance\": \"250.0\",\n                \"external_id\": \"29PVY\",\n                \"debtor_id\": 2,\n                \"received_at\": \"2025-09-08T00:00:00.000Z\",\n                \"currency\": \"EUR\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"250.0\",\n                    \"remaining_balance\": \"250.0\"\n                }\n            }\n        },\n        {\n            \"id\": \"6\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"1892.1\",\n                \"remaining_balance\": \"1892.1\",\n                \"external_id\": \"PaymentInUSD0\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-10-13T00:00:00.000Z\",\n                \"currency\": \"USD\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"1633.1036757\",\n                    \"remaining_balance\": \"1633.1036757\"\n                }\n            }\n        },\n        {\n            \"id\": \"7\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"540.6\",\n                \"remaining_balance\": \"540.6\",\n                \"external_id\": \"PaymentInUSD1\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-10-13T00:00:00.000Z\",\n                \"currency\": \"USD\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"466.6010502\",\n                    \"remaining_balance\": \"466.6010502\"\n                }\n            }\n        },\n        {\n            \"id\": \"8\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"1892.1\",\n                \"remaining_balance\": \"1892.1\",\n                \"external_id\": \"PaymentInGBP2\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-10-13T00:00:00.000Z\",\n                \"currency\": \"GBP\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"2149.9989063\",\n                    \"remaining_balance\": \"2149.9989063\"\n                }\n            }\n        },\n        {\n            \"id\": \"9\",\n            \"type\": \"accounting_payment\",\n            \"attributes\": {\n                \"amount\": \"104.72\",\n                \"remaining_balance\": \"104.72\",\n                \"external_id\": \"your-external-id\",\n                \"debtor_id\": 1,\n                \"received_at\": \"2025-10-13T00:00:00.000Z\",\n                \"currency\": \"GBP\",\n                \"connector_last_updated_at\": null,\n                \"connector_last_synced_at\": null,\n                \"linked_invoices_ids\": [],\n                \"debtor_external_id\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"amount\": \"118.99365016\",\n                    \"remaining_balance\": \"118.99365016\"\n                }\n            }\n        }\n    ]\n}"}],"_postman_id":"9b7f44bf-1647-455f-ba10-d04c5171e0b2"},{"name":"Create Accounting Payment","id":"8f4e42c2-9bba-4daf-9e88-d3815b7bacda","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"amount","value":"100","type":"text"},{"key":"debtor_id","value":"5","type":"text"},{"key":"external_id","value":"your_external_id7","type":"text"},{"key":"matching_data[][amount]","value":"50","type":"text"},{"key":"matching_data[][invoice_id]","value":"37","type":"text"},{"key":"received_at","value":"","description":"<p>// OPTIONAL</p>\n","type":"text"},{"key":"connector_last_updated_at","value":"","description":"<p>// OPTIONAL Only used by connectors, not updated nor used by Recovr</p>\n","type":"text"},{"key":"connector_last_synced_at","value":"","description":"<p>// OPTIONAL Only used by connectors, not updated nor used by Recovr</p>\n","type":"text"},{"key":"currency","value":"ISO 4217-compliant currency code","type":"text"},{"key":"matching_data[][amount]","value":"25","type":"text","uuid":"74b01a7f-1bbf-4423-bbde-8cd70a98ba16"},{"key":"matching_data[][invoice_id]","value":"36","type":"text","uuid":"69faed9d-5374-42f4-bbcb-ef0252964353"}]},"url":"backend.{{host}}/api/v1/accounting/payments","description":"<h2 id=\"post-apiv1accountingpayments\">POST /api/v1/accounting/payments</h2>\n<p><strong>Purpose</strong>: Create a new accounting payment with optional invoice linking</p>\n<p><strong>Request Body</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"amount\": \"decimal\",\n  \"received_at\": \"datetime\",\n  \"debtor_id\": \"integer\",\n  \"external_id\": \"string\",\n  \"currency\": \"string\",\n  \"matching_data\": [\n    {\n      \"invoice_id\": \"integer\",\n      \"amount\": \"decimal\",\n      \"credit_note_id\": \"integer\"\n    }\n  ],\n  \"connector_last_updated_at\": \"datetime\",\n  \"connector_last_synced_at\": \"datetime\"\n}\n\n</code></pre>\n<p><strong>Response Format</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"data\": {\n    \"id\": \"string\",\n    \"type\": \"accounting_payment\",\n    \"attributes\": {\n      \"amount\": \"decimal\",\n      \"remaining_balance\": \"decimal\",\n      \"external_id\": \"string\",\n      \"debtor_id\": \"integer\",\n      \"received_at\": \"datetime\", \n      \"currency\": \"string\",\n      \"linked_invoices_ids\": [\"integer\"],\n      \"debtor_external_id\": \"string\",\n      \"localized_money_object\": {\n        \"currency\": \"string\",\n        \"amount\": \"decimal\",\n        \"remaining_balance\": \"decimal\"\n      }\n    }\n  }\n}\n\n</code></pre>\n<p><strong>Error Scenarios</strong>:</p>\n<ul>\n<li><p>400: Validation errors (see business logic notes)</p>\n</li>\n<li><p>401: Authentication required</p>\n</li>\n<li><p>403: Insufficient permissions</p>\n</li>\n</ul>\n<p><strong>Business Logic Notes</strong>:</p>\n<ul>\n<li><p>Cannot link to credit notes when using <code>invoice_ids</code></p>\n</li>\n<li><p>Matching data must sum to payment amount</p>\n</li>\n<li><p>All referenced invoices must exist</p>\n</li>\n</ul>\n<p>*_Deprecation Warning:__*_If you use the old <code>invoice_ids: []</code> to match invoices, please know that while supported that option is considered deprecated. If at all possible you should move your implementaiton to use <code>matching_data: []</code></p>\n","urlObject":{"path":["api","v1","accounting","payments"],"host":["backend","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"633614ca-56a5-41f7-a2d8-265b45749bb8","name":"minimal example","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"amount","value":"100","type":"text"},{"key":"debtor_id","value":"1","type":"text"}]},"url":"backend.{{host}}/api/v1/accounting/payments"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"be540ad8ef45d9395ed1927b5791d7f9\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"6d1dbaba-7b21-4f52-b2d9-7a61af1356ad"},{"key":"X-Runtime","value":"1.344931"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"15\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"100.0\",\n            \"remaining_balance\": \"100.0\",\n            \"external_id\": null,\n            \"debtor_id\": 1,\n            \"received_at\": \"2025-11-20T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"connector_last_updated_at\": null,\n            \"connector_last_synced_at\": null,\n            \"linked_invoices_ids\": [],\n            \"debtor_external_id\": null,\n            \"localized_money_object\": {\n                \"currency\": \"EUR\",\n                \"amount\": \"100.0\",\n                \"remaining_balance\": \"100.0\"\n            }\n        }\n    }\n}"},{"id":"b20b2457-5a7b-4390-a433-b19872592bb0","name":"with matching data","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"amount","value":"100","type":"text"},{"key":"debtor_id","value":"1","type":"text"},{"key":"invoice_ids[]","value":"1","description":"// OPTIONNAL","type":"text","disabled":true},{"key":"external_id","value":"your_external_id","type":"text"},{"key":"matching_data[][invoice_id]","value":"1","description":"// OPTIONNAL","type":"text"},{"key":"matching_data[][amount]","value":"50","description":"// OPTIONNAL","type":"text"}]},"url":"{{tenant}}.{{host}}/api/v1/accounting/payments"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"bfce768964f2f64d0f963aed2177d056\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"d6c435e0-412f-4bdb-a732-c66742f21d44"},{"key":"X-Runtime","value":"0.090392"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"1\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"100.0\",\n            \"remaining_balance\": \"50.0\",\n            \"external_id\": \"your_external_id\",\n            \"debtor_id\": 1,\n            \"received_at\": \"2022-10-14T00:00:00.000Z\",\n            \"linked_invoices_ids\": [\n                1\n            ],\n            \"debtor_external_id\": \"my_custom_id\",\n            \"localized_money_object\": {\n                \"currency\": \"EUR\",\n                \"amount\": \"100.0\",\n                \"remaining_balance\": \"50.0\"\n            }\n        }\n    }\n}"}],"_postman_id":"8f4e42c2-9bba-4daf-9e88-d3815b7bacda"},{"name":"Update Accounting Payment","id":"c62811ef-a993-4790-9316-fae199966c3c","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"PUT","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"amount","value":"100","type":"text"},{"key":"matching_data[][invoice_id]","value":"1","description":"<p>// OPTIONAL</p>\n","type":"text"},{"key":"matching_data[][amount]","value":"50","description":"<p>// OPTIONAL</p>\n","type":"text"},{"key":"received_at","value":"","description":"<p>// OPTIONAL</p>\n","type":"text"},{"key":"connector_last_updated_at","value":"","description":"<p>// OPTIONAL Only used by connectors, not updated nor used by Recovr</p>\n","type":"text"},{"key":"connector_last_synced_at","value":"","description":"<p>// OPTIONAL Only used by connectors, not updated nor used by Recovr</p>\n","type":"text"},{"key":"force_balance_reset","value":"","description":"<p>// Optional Reverts all matchings done with this payment and restores the original amount as its balance</p>\n","type":"text","disabled":true}]},"url":"backend.{{host}}/api/v1/accounting/payments/1","description":"<p><strong>Purpose</strong>: Update an existing accounting payment and optionally link/relink it to invoices</p>\n<p><strong>URL Parameters</strong>:</p>\n<ul>\n<li><code>id</code>: Payment ID or external_id (if using <code>with_external_id=true</code> query parameter)</li>\n</ul>\n<p><strong>Request Body</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"amount\": \"decimal\",\n  \"received_at\": \"datetime\",\n  \"debtor_id\": \"integer\",\n  \"force_balance_reset\": \"boolean\",\n  \"matching_data\": [\n    {\n      \"invoice_id\": \"integer\",\n      \"amount\": \"decimal\",\n      \"credit_note_id\": \"integer\"\n    }\n  ],\n  \"connector_last_updated_at\": \"datetime\",\n  \"connector_last_synced_at\": \"datetime\"\n}\n\n</code></pre>\n<p><strong>Response Format</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"data\": {\n    \"id\": \"string\",\n    \"type\": \"accounting_payment\",\n    \"attributes\": {\n      \"amount\": \"decimal\",\n      \"remaining_balance\": \"decimal\",\n      \"external_id\": \"string\",\n      \"debtor_id\": \"integer\",\n      \"received_at\": \"datetime\", \n      \"currency\": \"string\",\n      \"linked_invoices_ids\": [\"integer\"],\n      \"debtor_external_id\": \"string\",\n      \"localized_money_object\": {\n        \"currency\": \"string\",\n        \"amount\": \"decimal\",\n        \"remaining_balance\": \"decimal\"\n    }\n  }\n}\n\n</code></pre>\n<p><strong>Important Note:</strong> <code>invoice_ids</code> and <code>matching_data</code> are mutually exclusive - sending both will result in a 400 error.</p>\n","urlObject":{"path":["api","v1","accounting","payments","1"],"host":["backend","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"3cdc52e8-1706-40c4-b55a-60b58b810223","name":"Add an accounting payment","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"amount","value":"100","type":"text"},{"key":"debtor_id","value":"1","type":"text"}]},"url":"backend.{{host}}/api/v1/accounting/payments"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"be540ad8ef45d9395ed1927b5791d7f9\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"6d1dbaba-7b21-4f52-b2d9-7a61af1356ad"},{"key":"X-Runtime","value":"1.344931"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"17\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"100.0\",\n            \"remaining_balance\": \"100.0\",\n            \"external_id\": null,\n            \"debtor_id\": 1,\n            \"received_at\": \"2026-01-07T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"connector_last_updated_at\": null,\n            \"connector_last_synced_at\": null,\n            \"linked_invoices_ids\": [],\n            \"debtor_external_id\": null,\n            \"localized_money_object\": {\n                \"currency\": \"EUR\",\n                \"amount\": \"100.0\",\n                \"remaining_balance\": \"100.0\"\n            }\n        }\n    }\n}"}],"_postman_id":"c62811ef-a993-4790-9316-fae199966c3c"},{"name":"Unlink invoices from a payment","id":"fde57d0b-e8c6-4ae8-8d63-898669735886","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[]},"url":"backend.{{host}}/api/v1/accounting/payments/1/unlink_invoices","description":"<p><strong>Purpose</strong>: Unlink all invoices from an accounting payment, reverting their payment status and resetting the payment's remaining balance to its original amount.</p>\n<p><strong>URL Parameters</strong>:</p>\n<ul>\n<li><code>payment_id</code>: Payment ID (integer)</li>\n</ul>\n<p><strong>Request Body</strong>: None required</p>\n<p><strong>Authentication</strong>: Required (API user headers)</p>\n<p><strong>Response Format</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"data\": {\n    \"id\": \"string\",\n    \"type\": \"accounting_payment\",\n    \"attributes\": {\n      \"amount\": \"decimal\",\n      \"remaining_balance\": \"decimal\",\n      \"external_id\": \"string\",\n      \"debtor_id\": \"integer\",\n      \"received_at\": \"datetime\",\n      \"currency\": \"string\",\n      \"connector_last_updated_at\": \"datetime\",\n      \"connector_last_synced_at\": \"datetime\",\n      \"linked_invoices_ids\": [],\n      \"debtor_external_id\": \"string\",\n      \"localized_money_object\": {\n        \"currency\": \"string\",\n        \"amount\": \"decimal\",\n        \"remaining_balance\": \"decimal\"\n      }\n    }\n  }\n}\n\n</code></pre>\n<p><strong>Behavior</strong>:</p>\n<ul>\n<li><p>Reverts all matched payments associated with the accounting payment</p>\n</li>\n<li><p>Resets invoice balances and payment status (invoices become unpaid)</p>\n</li>\n<li><p>Restores late fees to their original values for late invoices</p>\n</li>\n<li><p>Sets payment's <code>remaining_balance</code> back to original <code>amount</code></p>\n</li>\n<li><p>Creates activity log entries for each affected invoice</p>\n</li>\n<li><p>Idempotent operation (safe to call multiple times)</p>\n</li>\n</ul>\n<p><strong>Error Responses</strong>:</p>\n<ul>\n<li><code>400 Bad Request</code>: If the unlinking operation fails (with <code>error_message</code> field)</li>\n</ul>\n","urlObject":{"path":["api","v1","accounting","payments","1","unlink_invoices"],"host":["backend","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"c5d9f636-9772-4ae4-b4a1-aa93ceae1714","name":"Unlink a payment","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[]},"url":"backend.{{host}}/api/v1/accounting/payments/1/unlink_invoices"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"f0f3931edb2f1f2ac3ba2805faded8c3\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"70156d68-e471-4ca3-bbc1-cedc38ecb5b2"},{"key":"X-Runtime","value":"0.088486"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"1\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"52.36\",\n            \"remaining_balance\": \"52.36\",\n            \"external_id\": \"XVPDR\",\n            \"debtor_id\": 1,\n            \"received_at\": \"2025-10-13T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"connector_last_updated_at\": null,\n            \"connector_last_synced_at\": null,\n            \"linked_invoices_ids\": [],\n            \"debtor_external_id\": null,\n            \"localized_money_object\": {\n                \"currency\": \"EUR\",\n                \"amount\": \"52.36\",\n                \"remaining_balance\": \"52.36\"\n            }\n        }\n    }\n}"}],"_postman_id":"fde57d0b-e8c6-4ae8-8d63-898669735886"},{"name":"Delete a payment","id":"c440d994-17fd-4970-a670-6464ab22bd01","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"DELETE","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[]},"url":"backend.{{host}}/api/v1/accounting/payments/:id","description":"<p><strong>Purpose</strong>: Delete an accounting payment and automatically revert any linked invoice balances</p>\n<p><strong>URL Parameters</strong>:</p>\n<ul>\n<li><code>id</code>: Payment ID or external_id (if using <code>with_external_id=true</code> query parameter)</li>\n</ul>\n<p><strong>Success (200)</strong>:</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">{\n  \"message\": \"The payment has been successfully deleted\"\n}\n\n</code></pre>\n<p><strong>Error Scenarios</strong>:</p>\n<ul>\n<li><p>400: Validation errors (see business logic notes)</p>\n</li>\n<li><p>401: Authentication required</p>\n</li>\n<li><p>403: Insufficient permissions</p>\n</li>\n<li><p>404: Payment not found</p>\n</li>\n</ul>\n<p><strong>Business Logic Notes</strong>:</p>\n<ul>\n<li><p><strong>Automatic Unlinking</strong>: If the payment is linked to any invoices or credit notes, those links are automatically removed before deletion</p>\n</li>\n<li><p><strong>Balance Reversion</strong>: All linked invoice/credit note balances are reverted to their state before the payment was applied</p>\n<ul>\n<li><p>Invoice <code>remaining_balance</code> is increased by the matched amount</p>\n</li>\n<li><p>Invoice <code>paid</code> status is recalculated</p>\n</li>\n<li><p>Credit note balances are similarly reverted</p>\n</li>\n</ul>\n</li>\n<li><p><strong>Permanent Deletion</strong>: The payment is permanently deleted from the system (not soft-deleted)</p>\n</li>\n<li><p><strong>Activity Logging</strong>: If the payment has an associated debtor, an activity log entry is created</p>\n</li>\n</ul>\n<p><strong>Side Effects</strong>:</p>\n<ul>\n<li><p>Invoice statuses may change from <code>paid</code> to <code>unpaid</code> if this was the only payment</p>\n</li>\n<li><p>Debtor metrics are automatically recalculated</p>\n</li>\n<li><p>Payment plan balances are updated if the payment was part of a payment plan</p>\n</li>\n</ul>\n<p><strong>Important Notes</strong>:</p>\n<ul>\n<li><p>This operation cannot be undone - the payment is permanently deleted</p>\n</li>\n<li><p>Consider using the unlink endpoint (<code>POST /api/v1/accounting/payments/:id/unlink_invoices</code>) if you only want to remove invoice associations without deleting the payment</p>\n</li>\n<li><p>If the payment is part of an active payment plan, the plan balance will be automatically reconciled</p>\n</li>\n</ul>\n","urlObject":{"path":["api","v1","accounting","payments",":id"],"host":["backend","{{host}}"],"query":[],"variable":[{"type":"any","value":"","key":"id"}]}},"response":[{"id":"c9949364-8099-47d3-afb9-b2361ab3d21a","name":"Unlink a payment","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"body":{"mode":"formdata","formdata":[]},"url":"{{tenant}}.{{host}}/api/v1/accounting/payments/1/unlink_invoices"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"f0f3931edb2f1f2ac3ba2805faded8c3\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"70156d68-e471-4ca3-bbc1-cedc38ecb5b2"},{"key":"X-Runtime","value":"0.088486"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"1\",\n        \"type\": \"accounting_payment\",\n        \"attributes\": {\n            \"amount\": \"100.0\",\n            \"remaining_balance\": \"200.0\",\n            \"external_id\": \"your_external_id\",\n            \"debtor_id\": 1,\n            \"linked_invoices_ids\": []\n        }\n    }\n}"}],"_postman_id":"c440d994-17fd-4970-a670-6464ab22bd01"}],"id":"282555cc-6842-4180-a303-8e3dbea3c2de","_postman_id":"282555cc-6842-4180-a303-8e3dbea3c2de","description":""}],"id":"7bb5abe1-da16-48f1-9863-f6836f8869f2","_postman_id":"7bb5abe1-da16-48f1-9863-f6836f8869f2","description":""},{"name":"Set new synchronization date","id":"848e189a-7beb-4add-add4-dadd7e1dec19","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"url":"{{tenant}}.{{host}}/api/v1/connector_synchronization","urlObject":{"path":["api","v1","connector_synchronization"],"host":["{{tenant}}","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"e9bba9af-f77c-45e5-9db6-2d9ddb5ac2e2","name":"Set new synchronization date","originalRequest":{"method":"POST","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"","value":"","type":"text","disabled":true}],"url":"{{tenant}}.{{host}}/api/v1/connector_synchronization"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"415be0861e531c03ad082b6eaddc41e1\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"06366534-8aff-4731-8bff-8c7a3fa37f94"},{"key":"X-Runtime","value":"0.019165"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"message\": \"Date de synchronisation mise à jour\"\n}"}],"_postman_id":"848e189a-7beb-4add-add4-dadd7e1dec19"},{"name":"List debtors updated since last synchronization","id":"b8881377-ad8e-4a87-8955-ae1257d021b4","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[]},"url":"backend.{{host}}/api/v1/updated_debtors","description":"<p>Retrieve all debtors that have been updated since the last connector synchronization.</p>\n<p>This endpoint is designed for incremental syncs - it returns only debtors modified after the timestamp set by <code>POST /api/v1/connector_synchronization</code>.</p>\n<blockquote>\n<p><strong>Note:</strong> This endpoint has no query parameters. To filter debtors or search by external_id, use <code>GET /api/v1/debtors</code> instead. </p>\n</blockquote>\n<h2 id=\"response-200-ok\">Response (200 OK)</h2>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">  {                                                                                                                                                                                     \n    \"data\": [                                                                                                                                                                           \n      {                                                                                                                                                                                 \n        \"id\": \"string\",                                                                                                                                                                 \n        \"type\": \"debtor\",                                                                                                                                                               \n        \"attributes\": {                                                                                                                                                                 \n          \"vat_number\": \"string\",                                                                                                                                                       \n          \"moral_entity\": \"boolean\",                                                                                                                                                    \n          \"locale\": \"string\",                                                                                                                                                           \n          \"reference\": \"string\",                                                                                                                                                        \n          \"co_contractor\": \"boolean\",                                                                                                                                                   \n          \"intracom\": \"boolean\",                                                                                                                                                        \n          \"terms_and_conditions_id\": \"integer\",                                                                                                                                         \n          \"send_to_all_emails\": \"boolean\",                                                                                                                                              \n          \"print_mode\": \"string\",                                                                                                                                                       \n          \"print_color\": \"boolean\",                                                                                                                                                     \n          \"unpaid_invoices_present\": \"boolean\",                                                                                                                                         \n          \"average_payment_delay\": \"integer\",                                                                                                                                           \n          \"custom_variables\": \"object\",                                                                                                                                                 \n          \"terms_and_conditions\": {                                                                                                                                                     \n            \"interest\": {                                                                                                                                                               \n              \"value\": \"decimal\",                                                                                                                                                       \n              \"period\": \"string\"                                                                                                                                                        \n            },                                                                                                                                                                          \n            \"fix_fee\": {                                                                                                                                                                \n              \"value\": \"decimal\"                                                                                                                                                        \n            },                                                                                                                                                                          \n            \"penalty_clause\": {                                                                                                                                                         \n              \"type\": \"string\",                                                                                                                                                         \n              \"value\": \"decimal\",                                                                                                                                                       \n              \"minimum\": \"decimal\"                                                                                                                                                      \n            },                                                                                                                                                                          \n            \"has_pdf\": \"boolean\"                                                                                                                                                        \n          },                                                                                                                                                                            \n          \"financial_data\": {                                                                                                                                                           \n            \"annual_ca\": \"decimal\",                                                                                                                                                     \n            \"remaining_balance\": \"decimal\",                                                                                                                                             \n            \"overdue_amount\": \"decimal\"                                                                                                                                                 \n          },                                                                                                                                                                            \n          \"address\": {                                                                                                                                                                  \n            \"street_name\": \"string\",                                                                                                                                                    \n            \"street_number\": \"string\",                                                                                                                                                  \n            \"zip_code\": \"string\",                                                                                                                                                       \n            \"city\": \"string\",                                                                                                                                                           \n            \"country_code\": \"string\"                                                                                                                                                    \n          },                                                                                                                                                                            \n          \"phones\": [                                                                                                                                                                   \n            { \"number\": \"string\" }                                                                                                                                                      \n          ],                                                                                                                                                                            \n          \"sending_media\": \"object\",                                                                                                                                                    \n          \"debtor_bank_accounts\": \"array\",                                                                                                                                              \n          \"delay_rate\": \"decimal\"                                                                                                                                                       \n        }                                                                                                                                                                               \n      }                                                                                                                                                                                 \n    ]                                                                                                                                                                                   \n  }\n\n</code></pre>\n","urlObject":{"path":["api","v1","updated_debtors"],"host":["backend","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"8a11baeb-5489-4626-96d1-d1c305f7c548","name":"List debtors updated since last synchronization","originalRequest":{"method":"GET","header":[{"key":"CONNECTOR-ID","value":"{{CONNECTOR-ID}}","type":"text"},{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[]},"url":"backend.{{host}}/api/v1/updated_debtors"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"07841c2e3abc43ac04c0116eb1ca3876\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"e58dd805-343e-416b-ac5a-d0a3a50db387"},{"key":"X-Runtime","value":"0.511990"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": [\n        {\n            \"id\": \"1\",\n            \"type\": \"debtor\",\n            \"attributes\": {\n                \"full_name\": \"Recovr SPRL TEST\",\n                \"emails\": [\n                    \"john.doe@sprl.com\",\n                    \"second_email@sprl.com\"\n                ],\n                \"currency\": \"EUR\",\n                \"vat_number\": \"BE012345675\",\n                \"moral_entity\": true,\n                \"locale\": \"fr\",\n                \"co_contractor\": false,\n                \"intracom\": false,\n                \"external_id\": \"my_custom_id\",\n                \"custom_variables\": {},\n                \"terms_and_conditions_id\": null,\n                \"csv_updated\": false,\n                \"print_mode\": null,\n                \"print_color\": null,\n                \"unpaid_invoices_present\": false,\n                \"average_payment_delay\": null,\n                \"delay_rate\": null,\n                \"localized_money_object\": {\n                    \"currency\": \"EUR\",\n                    \"total_ca\": 0,\n                    \"annual_ca\": \"0.0\",\n                    \"overdue_amount\": 0,\n                    \"claimed_late_fees\": 0,\n                    \"remaining_balance\": 0,\n                    \"remaining_balance_with_fees\": 0,\n                    \"remaining_late_fees\": 0,\n                    \"credit_notes_total_tvac\": \"0.0\",\n                    \"payments_sum\": \"0.0\",\n                    \"lost_sum\": \"0.0\"\n                },\n                \"terms_and_conditions\": {\n                    \"interest\": {\n                        \"value\": \"10.0\",\n                        \"period\": \"annual\"\n                    },\n                    \"fix_fee\": {\n                        \"value\": \"0.0\"\n                    },\n                    \"penalty_clause\": {\n                        \"type\": \"percentage\",\n                        \"value\": \"10.0\",\n                        \"minimum\": \"500.0\"\n                    },\n                    \"has_pdf\": true\n                },\n                \"financial_data\": {\n                    \"annual_ca\": \"0.0\",\n                    \"remaining_balance\": 0,\n                    \"overdue_amount\": 0\n                },\n                \"send_to_all_emails\": false,\n                \"address\": {\n                    \"id\": \"2\",\n                    \"type\": \"address\",\n                    \"attributes\": {\n                        \"street_name\": \"Rue neuve\",\n                        \"street_number\": \"10\",\n                        \"street_box\": \"Bte A\",\n                        \"zip_code\": \"1000\",\n                        \"city\": \"Bruxelles\",\n                        \"country_code\": \"BE\",\n                        \"additional_line_1\": null,\n                        \"additional_line_2\": null,\n                        \"country\": \"Belgique\"\n                    }\n                },\n                \"phones\": [\n                    {\n                        \"id\": \"2\",\n                        \"type\": \"phone\",\n                        \"attributes\": {\n                            \"number\": \"010/111.222\"\n                        }\n                    },\n                    {\n                        \"id\": \"3\",\n                        \"type\": \"phone\",\n                        \"attributes\": {\n                            \"number\": \"0499212212\"\n                        }\n                    }\n                ],\n                \"default_invoice_template\": null,\n                \"default_credit_note_template\": null,\n                \"sending_media\": [],\n                \"debtor_bank_accounts\": []\n            }\n        }\n    ]\n}"}],"_postman_id":"b8881377-ad8e-4a87-8955-ae1257d021b4"}],"id":"c421e043-c3fd-4fb2-9433-4fa87d74feb9","description":"<p>This part is specific for companies building a connector between a an accounting software and Recovr.</p>\n","_postman_id":"c421e043-c3fd-4fb2-9433-4fa87d74feb9"},{"name":"Credit Notes","item":[{"name":"Creation of credit note","item":[{"name":"Create a credit note","id":"c592bb6a-bba6-4ca2-936d-57e94a94ea78","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"issue_date","value":"2020-02-01","type":"text"},{"key":"due_date","value":"2020-02-15","type":"text"},{"key":"debtor_id","value":"1","description":"<p>An existing debtor id should be given here.</p>\n","type":"text"},{"key":"reference","value":"CN-01","description":"<p>This should be unique and will be checked</p>\n","type":"text"},{"key":"total_tvac","value":"-1000.99","type":"text"},{"key":"comment","value":"This is an example of comment","description":"<p>Optional</p>\n","type":"text"},{"key":"total_htva","value":"","description":"<p>Optional</p>\n","type":"text"},{"key":"remaining_balance","value":"","description":"<p>Optional</p>\n","type":"text"},{"key":"external_id","value":"YOUR_CUSTOM_CREDIT_NOTE_ID","description":"<p>Optional</p>\n","type":"text"},{"key":"invoice_id","value":"1","description":"<p>[DEPRECATED] Recovr id of invoice</p>\n","type":"text","disabled":true},{"key":"custom_variables[livre]","value":"true","type":"text"},{"key":"invoices[][id]","value":"1","description":"<p>Optional - Recovr id of invoice</p>\n","type":"text"},{"key":"invoices[][amount]","value":"20.0","description":"<p>Optional - Amount used to reconciliate invoice with credit note</p>\n","type":"text"},{"key":"invoices[][id]","value":"2","type":"text"},{"key":"invoices[][amount]","value":"21.5","type":"text"}]},"url":"{{tenant}}.{{host}}/api/v1/credit_notes","description":"<p>Create a new invoice by giving all the attributes needed as JSON</p>\n<p>Linking credit note to invoices at creation:\n'invoice_id' is kept for backward compatibility.\nNew method allows to specify several invoices with custom amounts. Amount presence is mandatory for each specified invoice id.</p>\n","urlObject":{"path":["api","v1","credit_notes"],"host":["{{tenant}}","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"d227b3bf-4071-43e0-9381-81df46fd1663","name":"Create a credit note","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"issue_date","value":"2020-02-01","type":"text"},{"key":"due_date","value":"2020-02-15","type":"text"},{"key":"debtor_id","value":"1","description":"An existing debtor id should be given here.","type":"text"},{"key":"reference","value":"CN-01","description":"This should be unique and will be checked","type":"text"},{"key":"total_tvac","value":"-1000.99","type":"text"},{"key":"comment","value":"This is an example of comment","description":"Optional","type":"text"},{"key":"total_htva","value":"","description":"Optional","type":"text"},{"key":"remaining_balance","value":"","description":"Optional","type":"text"},{"key":"external_id","value":"YOUR_CUSTOM_CREDIT_NOTE_ID","description":"Optional","type":"text"},{"key":"invoice_id","value":"1","description":"Recovr id of invoice","type":"text"},{"key":"custom_variables[livre]","value":"true","type":"text"}]},"url":"{{tenant}}.{{host}}/api/v1/credit_notes"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"6beaae88b990c52536e97173a3bf8571\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"b7a1728a-e0d8-47e8-b830-4bfdd8b8a4b6"},{"key":"X-Runtime","value":"0.159431"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"9\",\n        \"type\": \"invoice\",\n        \"attributes\": {\n            \"due_date\": \"2020-02-15T00:00:00.000Z\",\n            \"issue_date\": \"2020-02-01T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"total_tvac\": \"-1000.99\",\n            \"total_htva\": null,\n            \"late_fees\": \"0.0\",\n            \"reference\": \"CN-01\",\n            \"step_collection\": null,\n            \"structured_communication\": null,\n            \"remaining_balance\": \"0.0\",\n            \"remaining_late_fees\": \"0.0\",\n            \"paid\": true,\n            \"paused\": false,\n            \"disputed\": false,\n            \"lost\": false,\n            \"first_reminder_sent_at\": null,\n            \"formal_notice_sent_at\": null,\n            \"sent_to_lawyer\": false,\n            \"sent_to_bailiff\": false,\n            \"external_id\": \"YOUR_CUSTOM_CREDIT_NOTE_ID\",\n            \"credit_note\": true,\n            \"custom_variables\": {\n                \"livre\": true,\n                \"livre_le\": \"\",\n                \"nombre_de_palettes\": \"\",\n                \"ville_de_livraison\": \"\"\n            },\n            \"second_reminder_sent_at\": null,\n            \"debtor\": {\n                \"id\": \"1\",\n                \"type\": \"debtor\",\n                \"attributes\": {\n                    \"full_name\": \"Recovr SPRL TEST\",\n                    \"moral_entity\": true,\n                    \"vat_number\": \"BE012345675\",\n                    \"emails\": [\n                        \"john.doe@sprl.com\",\n                        \"second_email@sprl.com\"\n                    ],\n                    \"external_id\": \"my_custom_id\",\n                    \"remaining_balance\": \"0.0\",\n                    \"penalty_clause\": \"15.0\",\n                    \"minimal_penalty_clause\": \"400.0\",\n                    \"interest_rate\": \"15.0\",\n                    \"payment_delay\": 15,\n                    \"remaining_balance_without_late_fees\": \"0.0\",\n                    \"currency\": \"EUR\",\n                    \"custom_variables\": {},\n                    \"address\": {\n                        \"id\": \"2\",\n                        \"type\": \"address\",\n                        \"attributes\": {\n                            \"street_name\": \"Rue neuve\",\n                            \"street_number\": \"10\",\n                            \"street_box\": \"Bte A\",\n                            \"zip_code\": \"1000\",\n                            \"city\": \"Bruxelles\",\n                            \"country_code\": \"BE\",\n                            \"additional_line_1\": null,\n                            \"additional_line_2\": null,\n                            \"country\": \"Belgique\"\n                        }\n                    },\n                    \"days_between_reminder\": 6,\n                    \"phones\": [\n                        {\n                            \"id\": \"2\",\n                            \"type\": \"phone\",\n                            \"attributes\": {\n                                \"number\": \"010/111.222\"\n                            }\n                        },\n                        {\n                            \"id\": \"3\",\n                            \"type\": \"phone\",\n                            \"attributes\": {\n                                \"number\": \"0499212212\"\n                            }\n                        }\n                    ],\n                    \"has_payment_terms\": false\n                }\n            },\n            \"comments\": null,\n            \"payments\": null,\n            \"accounting_payments\": null,\n            \"associated_invoice_id\": 7,\n            \"settled_amount\": \"0.0\",\n            \"linked_to_invoice_amount\": \"-1000.99\"\n        }\n    }\n}"},{"id":"5db8a892-a680-4019-999d-cc1b949f35ef","name":"Create a credit note linked to invoices","originalRequest":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"issue_date","value":"2020-02-01","type":"text"},{"key":"due_date","value":"2020-02-15","type":"text"},{"key":"debtor_id","value":"1","description":"An existing debtor id should be given here.","type":"text"},{"key":"reference","value":"CN-01","description":"This should be unique and will be checked","type":"text"},{"key":"total_tvac","value":"-1000.99","type":"text"},{"key":"comment","value":"This is an example of comment","description":"Optional","type":"text"},{"key":"total_htva","value":"","description":"Optional","type":"text"},{"key":"remaining_balance","value":"","description":"Optional","type":"text"},{"key":"external_id","value":"YOUR_CUSTOM_CREDIT_NOTE_ID","description":"Optional","type":"text"},{"key":"invoice_id","value":"1","description":"Recovr id of invoice (depreciated)","type":"text","disabled":true},{"key":"custom_variables[livre]","value":"true","type":"text"},{"key":"invoices[][id]","value":"1","description":"Optional - Recovr id of invoice","type":"text"},{"key":"invoices[][amount]","value":"20.0","description":"Optional - Amount used to reconciliate invoice with credit note","type":"text"},{"key":"invoices[][id]","value":"2","type":"text"},{"key":"invoices[][amount]","value":"21.5","type":"text"}]},"url":"{{tenant}}.{{host}}/api/v1/credit_notes"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"ad36bcae8b5f767ddd2ec5bd02695e33\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"31107aa3-3e6a-417f-a02f-394dc83d58e1"},{"key":"X-Runtime","value":"0.966430"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"5\",\n        \"type\": \"invoice\",\n        \"attributes\": {\n            \"due_date\": \"2020-02-15T00:00:00.000Z\",\n            \"issue_date\": \"2020-02-01T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"total_tvac\": \"-1000.99\",\n            \"total_htva\": null,\n            \"late_fees\": \"0.0\",\n            \"reference\": \"CN-01\",\n            \"step_collection\": null,\n            \"structured_communication\": null,\n            \"remaining_balance\": \"-959.49\",\n            \"remaining_late_fees\": \"0.0\",\n            \"paid\": false,\n            \"paused\": false,\n            \"disputed\": false,\n            \"lost\": false,\n            \"first_reminder_sent_at\": null,\n            \"formal_notice_sent_at\": null,\n            \"sent_to_lawyer\": false,\n            \"sent_to_bailiff\": false,\n            \"external_id\": \"YOUR_CUSTOM_CREDIT_NOTE_ID3\",\n            \"credit_note\": true,\n            \"custom_variables\": {},\n            \"second_reminder_sent_at\": null,\n            \"debtor\": {\n                \"id\": \"1\",\n                \"type\": \"debtor\",\n                \"attributes\": {\n                    \"full_name\": \"Recovr SPRL TEST\",\n                    \"moral_entity\": true,\n                    \"vat_number\": \"BE012345675\",\n                    \"emails\": [\n                        \"john.doe@sprl.com\",\n                        \"second_email@sprl.com\"\n                    ],\n                    \"external_id\": \"my_custom_id\",\n                    \"remaining_balance\": \"-1000.99\",\n                    \"remaining_balance_without_late_fees\": \"-1000.99\",\n                    \"currency\": \"EUR\",\n                    \"terms_and_conditions_id\": null,\n                    \"custom_variables\": {},\n                    \"terms_and_conditions\": {\n                        \"interest\": {\n                            \"value\": \"10.0\",\n                            \"period\": \"annual\"\n                        },\n                        \"fix_fee\": {\n                            \"value\": \"0.0\"\n                        },\n                        \"penalty_clause\": {\n                            \"type\": \"percentage\",\n                            \"value\": \"10.0\",\n                            \"minimum\": \"500.0\"\n                        },\n                        \"has_pdf\": true\n                    },\n                    \"address\": {\n                        \"id\": \"2\",\n                        \"type\": \"address\",\n                        \"attributes\": {\n                            \"street_name\": \"Rue neuve\",\n                            \"street_number\": \"10\",\n                            \"street_box\": \"Bte A\",\n                            \"zip_code\": \"1000\",\n                            \"city\": \"Bruxelles\",\n                            \"country_code\": \"BE\",\n                            \"additional_line_1\": null,\n                            \"additional_line_2\": null,\n                            \"country\": \"Belgique\"\n                        }\n                    },\n                    \"days_between_reminder\": 6,\n                    \"penalty_clause\": \"10.0\",\n                    \"minimal_penalty_clause\": \"500.0\",\n                    \"interest_value\": \"10.0\",\n                    \"minimum_payment_terms_delay\": 10,\n                    \"phones\": [\n                        {\n                            \"id\": \"2\",\n                            \"type\": \"phone\",\n                            \"attributes\": {\n                                \"number\": \"010/111.222\"\n                            }\n                        },\n                        {\n                            \"id\": \"3\",\n                            \"type\": \"phone\",\n                            \"attributes\": {\n                                \"number\": \"0499212212\"\n                            }\n                        }\n                    ]\n                }\n            },\n            \"comments\": null,\n            \"payments\": null,\n            \"accounting_payments\": null,\n            \"associated_invoices_id\": [\n                1,\n                2\n            ],\n            \"associated_invoice_id\": 1\n        }\n    }\n}"}],"_postman_id":"c592bb6a-bba6-4ca2-936d-57e94a94ea78"},{"name":"Link a credit note","id":"2f58543c-1e77-48e8-9b17-1a1f97b4aec0","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"client-id","type":"text","value":"{{client_id}}"},{"key":"secret-id","type":"text","value":"{{secret_id}}"}],"body":{"mode":"formdata","formdata":[{"description":"<p>[DEPRECATED] Recovr id of invoice</p>\n","key":"invoice_id","type":"text","value":"1","disabled":true},{"key":"invoices[][id]","value":"1","description":"<p>Recovr id of invoice</p>\n","type":"text"},{"key":"invoices[][amount]","value":"10.1","description":"<p>Amount used to reconciliate invoice with credit note</p>\n","type":"text"},{"key":"invoices[][id]","value":"2","type":"text"},{"key":"invoices[][amount]","value":"5.6","type":"text"}]},"url":"{{tenant}}.{{host}}/api/v1/credit_notes/6/link_invoices","description":"<p>Link and reconciliate a credit note to existing invoices by giving its ids and amounts to link</p>\n","urlObject":{"path":["api","v1","credit_notes","6","link_invoices"],"host":["{{tenant}}","{{host}}"],"query":[],"variable":[]}},"response":[{"id":"0874b969-5eb9-4350-965f-f435f4d93c1c","name":"Link a credit note to multiple invoices","originalRequest":{"method":"POST","header":[{"key":"client-id","type":"text","value":"{{client_id}}"},{"key":"secret-id","type":"text","value":"{{secret_id}}"}],"body":{"mode":"formdata","formdata":[{"description":"Recovr id of invoice  (depreciated)","key":"invoice_id","type":"text","value":"1","disabled":true},{"key":"invoices[][id]","value":"1","description":"Recovr id of invoice","type":"text"},{"key":"invoices[][amount]","value":"10.1","description":"Amount used to reconciliate invoice with credit note","type":"text"},{"key":"invoices[][id]","value":"2","type":"text"},{"key":"invoices[][amount]","value":"5.6","type":"text"}]},"url":"{{tenant}}.{{host}}/api/v1/credit_notes/6/link_invoices"},"status":"OK","code":200,"_postman_previewlanguage":"json","header":[{"key":"X-Frame-Options","value":"SAMEORIGIN"},{"key":"X-XSS-Protection","value":"1; mode=block"},{"key":"X-Content-Type-Options","value":"nosniff"},{"key":"X-Download-Options","value":"noopen"},{"key":"X-Permitted-Cross-Domain-Policies","value":"none"},{"key":"Referrer-Policy","value":"strict-origin-when-cross-origin"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Vary","value":"Origin"},{"key":"ETag","value":"W/\"e3ebcfbd20737fe5cd16f232b8dbd034\""},{"key":"Cache-Control","value":"max-age=0, private, must-revalidate"},{"key":"X-Request-Id","value":"d24fbe1e-392d-4fa0-8ae7-3648db682d76"},{"key":"X-Runtime","value":"0.205863"},{"key":"Transfer-Encoding","value":"chunked"}],"cookie":[],"responseTime":null,"body":"{\n    \"data\": {\n        \"id\": \"6\",\n        \"type\": \"invoice\",\n        \"attributes\": {\n            \"due_date\": \"2020-02-15T00:00:00.000Z\",\n            \"issue_date\": \"2020-02-01T00:00:00.000Z\",\n            \"currency\": \"EUR\",\n            \"total_tvac\": \"-1000.99\",\n            \"total_htva\": null,\n            \"late_fees\": \"0.0\",\n            \"reference\": \"CN-01\",\n            \"step_collection\": null,\n            \"structured_communication\": null,\n            \"remaining_balance\": \"-985.29\",\n            \"remaining_late_fees\": \"0.0\",\n            \"paid\": false,\n            \"paused\": false,\n            \"disputed\": false,\n            \"lost\": false,\n            \"first_reminder_sent_at\": null,\n            \"formal_notice_sent_at\": null,\n            \"sent_to_lawyer\": false,\n            \"sent_to_bailiff\": false,\n            \"external_id\": \"YOUR_CUSTOM_CREDIT_NOTE_ID5\",\n            \"credit_note\": true,\n            \"custom_variables\": {},\n            \"second_reminder_sent_at\": null,\n            \"debtor\": {\n                \"id\": \"1\",\n                \"type\": \"debtor\",\n                \"attributes\": {\n                    \"full_name\": \"Recovr SPRL TEST\",\n                    \"moral_entity\": true,\n                    \"vat_number\": \"BE012345675\",\n                    \"emails\": [\n                        \"john.doe@sprl.com\",\n                        \"second_email@sprl.com\"\n                    ],\n                    \"external_id\": \"my_custom_id\",\n                    \"remaining_balance\": \"-2001.98\",\n                    \"remaining_balance_without_late_fees\": \"-2001.98\",\n                    \"currency\": \"EUR\",\n                    \"terms_and_conditions_id\": null,\n                    \"custom_variables\": {},\n                    \"terms_and_conditions\": {\n                        \"interest\": {\n                            \"value\": \"10.0\",\n                            \"period\": \"annual\"\n                        },\n                        \"fix_fee\": {\n                            \"value\": \"0.0\"\n                        },\n                        \"penalty_clause\": {\n                            \"type\": \"percentage\",\n                            \"value\": \"10.0\",\n                            \"minimum\": \"500.0\"\n                        },\n                        \"has_pdf\": true\n                    },\n                    \"address\": {\n                        \"id\": \"2\",\n                        \"type\": \"address\",\n                        \"attributes\": {\n                            \"street_name\": \"Rue neuve\",\n                            \"street_number\": \"10\",\n                            \"street_box\": \"Bte A\",\n                            \"zip_code\": \"1000\",\n                            \"city\": \"Bruxelles\",\n                            \"country_code\": \"BE\",\n                            \"additional_line_1\": null,\n                            \"additional_line_2\": null,\n                            \"country\": \"Belgique\"\n                        }\n                    },\n                    \"days_between_reminder\": 6,\n                    \"penalty_clause\": \"10.0\",\n                    \"minimal_penalty_clause\": \"500.0\",\n                    \"interest_value\": \"10.0\",\n                    \"minimum_payment_terms_delay\": 10,\n                    \"phones\": [\n                        {\n                            \"id\": \"2\",\n                            \"type\": \"phone\",\n                            \"attributes\": {\n                                \"number\": \"010/111.222\"\n                            }\n                        },\n                        {\n                            \"id\": \"3\",\n                            \"type\": \"phone\",\n                            \"attributes\": {\n                                \"number\": \"0499212212\"\n                            }\n                        }\n                    ]\n                }\n            },\n            \"comments\": null,\n            \"payments\": null,\n            \"accounting_payments\": null,\n            \"associated_invoices_id\": [\n                1,\n                2\n            ],\n            \"associated_invoice_id\": 1\n        }\n    }\n}"}],"_postman_id":"2f58543c-1e77-48e8-9b17-1a1f97b4aec0"},{"name":"Unlink a credit note","id":"c8e41f2b-30f5-4044-864d-814aab4eca2c","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"POST","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"body":{"mode":"formdata","formdata":[{"key":"invoice_ids","value":"[1]","type":"text","uuid":"0f6fb4b3-1a86-4f9e-a3cb-305f6d9f3044"}]},"url":"backend.{{host}}/api/v1/credit_notes/:id/unlink_invoices","description":"<p>Unlink invoices from a credit note and revert the reconciliation.</p>\n<p>If no <code>invoice_ids</code> are provided, unlinks the first linked invoice. To unlink specific invoices, pass an array of invoice IDs.</p>\n<h3 id=\"request-body-optional\">Request Body (optional)</h3>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">  {                                                                                                                                                                                     \n    \"invoice_ids\": [\"integer\"]                                                                                                                                                          \n  }                                                                                                                                                                                     \n\n</code></pre>\n<p>Response (200 OK)</p>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">  {                                                                                                                                                                                     \n    \"data\": {                                                                                                                                                                           \n      \"id\": \"string\",                                                                                                                                                                   \n      \"type\": \"invoice\",                                                                                                                                                                \n      \"attributes\": {                                                                                                                                                                   \n        \"reference\": \"string\",                                                                                                                                                          \n        \"external_id\": \"string\",                                                                                                                                                        \n        \"issue_date\": \"date\",                                                                                                                                                           \n        \"due_date\": \"date\",                                                                                                                                                             \n        \"total_tvac\": \"decimal\",                                                                                                                                                        \n        \"total_htva\": \"decimal\",                                                                                                                                                        \n        \"remaining_balance\": \"decimal\",                                                                                                                                                 \n        \"currency\": \"string\",                                                                                                                                                           \n        \"paid\": \"boolean\",                                                                                                                                                              \n        \"debtor_id\": \"integer\",                                                                                                                                                         \n        \"linked_invoices\": \"array\"                                                                                                                                                      \n      }                                                                                                                                                                                 \n    }                                                                                                                                                                                   \n  }                                                                                                                                                                                     \n\n</code></pre>\n<p>Error Responses</p>\n<ul>\n<li><p>400 Bad Request: \"Credit note is not linked to any invoices\"</p>\n</li>\n<li><p>400 Bad Request: \"Invoices not found\"</p>\n</li>\n<li><p>400 Bad Request: \"Invoices are not linked to this credit note\"</p>\n</li>\n</ul>\n","urlObject":{"path":["api","v1","credit_notes",":id","unlink_invoices"],"host":["backend","{{host}}"],"query":[],"variable":[{"type":"any","value":"","key":"id"}]}},"response":[],"_postman_id":"c8e41f2b-30f5-4044-864d-814aab4eca2c"}],"id":"5fc14203-8276-4214-8a4b-0bf6cf8d4509","_postman_id":"5fc14203-8276-4214-8a4b-0bf6cf8d4509","description":""},{"name":"Show credit note","id":"901e1877-05db-4cb1-8fec-605017d1b553","protocolProfileBehavior":{"disableBodyPruning":true},"request":{"method":"GET","header":[{"key":"client-id","value":"{{client_id}}","type":"text"},{"key":"secret-id","value":"{{secret_id}}","type":"text"},{"key":"tenant","value":"{{tenant}}","type":"text"}],"url":"backend.{{host}}/api/v1/credit_notes/:id?with_external_id=true","description":"<p>Retrieve a credit note by its Recovr ID or external ID.</p>\n<h2 id=\"query-parameters\">Query Parameters</h2>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">  {                                                                                                                                                                                     \n    \"with_external_id\": \"boolean (if true, the :id in the URL is treated as an external ID)\"                                                                                            \n  }                                                                                                                                                                                     \n\n</code></pre>\n<h2 id=\"response-200-ok\">Response (200 OK)</h2>\n<pre class=\"click-to-expand-wrapper is-snippet-wrapper\"><code class=\"language-json\">  {                                                                                                                                                                                     \n    \"data\": {                                                                                                                                                                           \n      \"id\": \"string\",                                                                                                                                                                   \n      \"type\": \"invoice\",                                                                                                                                                                \n      \"attributes\": {                                                                                                                                                                   \n        \"reference\": \"string\",                                                                                                                                                          \n        \"external_id\": \"string\",                                                                                                                                                        \n        \"issue_date\": \"date\",                                                                                                                                                           \n        \"due_date\": \"date\",                                                                                                                                                             \n        \"total_tvac\": \"decimal\",                 
[...]
